Skip to content

List Codexgate Scenarios

GET
/v1/admin/codexgate/scenarios
curl --request GET \
--url https://example.com/v1/admin/codexgate/scenarios
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
CodexGateScenarioListOut
object
items
Items
Array<object>
CodexGateScenarioOut
object
scenario_key
required
Scenario Key
string
title
required
Title
string
domain
Domain
string
""
pack_key
Pack Key
string
""
asset_kind
Asset Kind
string
""
entrypoint
Entrypoint
string
""
objective
Objective
string
""
operator_prompt
Operator Prompt
string
""
probe_steps
Probe Steps
Array<object>
CodexGateProbeStep
object
action
required
Action
string
Allowed values: goto expect_text expect_selector click fill measure_page measure_api screenshot assert_no_console_errors assert_no_api_failures
name
Name
string
""
path
Path
string
""
selector
Selector
string
""
text
Text
string
""
value
Value
string
""
budget_ms
Budget Ms
integer
0
optional
Optional
boolean
expected_output
Expected Output
string
""
signal_kinds
Signal Kinds
Array<string>
gitops_surface
Gitops Surface
string
""
expected_artifacts
Expected Artifacts
Array<string>
codex_prompt_template
Codex Prompt Template
string
""
acceptance_contract
Acceptance Contract
string
""
evaluation_focus
Evaluation Focus
Array<string>
Allowed values: practicality performance input output_expectation improvement_suggestions
tags
Tags
Array<string>
priority
Priority
string
default: standard
requires_playwright
Requires Playwright
boolean
default: true
total
Total
integer
0
Example
{
"items": [
{
"domain": "",
"pack_key": "",
"asset_kind": "",
"entrypoint": "",
"objective": "",
"operator_prompt": "",
"probe_steps": [
{
"action": "goto",
"name": "",
"path": "",
"selector": "",
"text": "",
"value": "",
"budget_ms": 0,
"optional": false
}
],
"expected_output": "",
"gitops_surface": "",
"codex_prompt_template": "",
"acceptance_contract": "",
"evaluation_focus": [
"practicality"
],
"priority": "standard",
"requires_playwright": true
}
],
"total": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}